# Uses of Class
org.eclipse.swt.custom.StyledTextPrintOptions

Packages that use StyledTextPrintOptions
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.swt.custom
SWT Custom widgets.

## Uses of StyledTextPrintOptions in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type StyledTextPrintOptions
Modifier and Type
Method
Description
`void`
ITextViewerExtension8.`print(StyledTextPrintOptions options)`
Print the text viewer contents using the given options.
`void`
TextViewer.`print(StyledTextPrintOptions options)`
Print the text viewer contents using the given options.

## Uses of StyledTextPrintOptions in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type StyledTextPrintOptions
Modifier and Type
Method
Description
`Runnable`
StyledText.`print(Printer printer, StyledTextPrintOptions options)`
Returns a runnable that will print the widget's text to the specified printer.